services:
  traefik:
    ports: !override
      - 127.0.0.1:8080:8080
      - 127.0.0.1:8090:8090
      - 0.0.0.0:18080:8080

volumes:
  cvat_db:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_db
  cvat_data:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_data
  cvat_keys:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_keys
  cvat_logs:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_logs
  cvat_inmem_db:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_inmem_db
  cvat_events_db:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_events_db
  cvat_cache_db:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: /srv/mission-core-cvat/volumes/cvat_cache_db
